## org.eclipse.datatools.modelbase.sql.query.impl
Class QueryStatementImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QueryStatementImpl

All Implemented Interfaces:
  QueryStatement, SQLQueryObject, SQLObject, SQLDataStatement, SQLStatement

Direct Known Subclasses:
  QueryChangeStatementImpl, QuerySelectStatementImpl

    public abstract class QueryStatementImpl

extends SQLQueryObjectImpl
implements QueryStatement

An implementation of the model object 'Statement'.

Method Summary
`java.lang.String` `getSQL()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.statements.SQLStatement
`setSQL`

Method Detail

### getSQL

    public java.lang.String getSQL()

  Specified by:
    `getSQL` in interface `SQLQueryObject`
  Specified by:
    `getSQL` in interface `SQLStatement`
  Overrides:
    `getSQL` in class `SQLQueryObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.